#include maps\mp\gametypes\_fl_brain;

fl_configs()
{	
	// ==============================================================================
	// 	Frontlines Anti-Camping
	// ==============================================================================

	fl_setDvar("fl_anticamp", 1);	
	
	// ==============================================================================
	// AirBorne Mode
	// ==============================================================================
	
	fl_setDvar("fl_ab", 50);		// 0-100% chances to happen	

	// ==============================================================================
	// HelpMode
	// ==============================================================================
	// is hardcoded to never run with less than 12 human players since the bots are too stupid to play

	fl_setDvar("fl_hm", 35);		// 0-100% chances to happen

	// ==============================================================================
	// CoopMode
	// ==============================================================================

	fl_setDvar("fl_coop", 35);		// 0-100% chances to happen
	fl_setDvar("fl_coop_attacks", 5);	// 0-100 available strikes (0 = infinite)

	// ==============================================================================
	// SquadMode
	// ==============================================================================

	fl_setDvar("fl_squad", 15);		// 0-100% chances to happen
	fl_setDvar("fl_squad_bots", 4);		// 1-10 Number of bots for each Human Player	

	// ==============================================================================
	// Bots Control
	// ==============================================================================
	
	fl_setDvar("fl_bots", 1);		// auto-bots 0=OFF/1=ON
	fl_setDvar("fl_bots_max", 14);		// auto-bots max - set max number of auto-bots (2-30)
	fl_setDvar("fl_bot_num", 0);		// num of bots if auto-bots is off
	fl_setDvar("fl_bots_coop", 0);		// 1=Bots do Objectives in COOP mode (this make the Missions REALLY harder!)/0=Off
	
	
	// ==============================================================================
	// 	Frontlines Weapons for Default Classes
	// ==============================================================================
	// 0 = Off
	// 1 = Random weapons to respective classes
	// 2 = Basic Random weapons to respective classes
	// 3 = Best Random weapons to respective classes

	fl_setDvar("fl_class", 3);	

	// ==============================================================================
	// 	Frontlines Killstreaks for Default Classes
	// ==============================================================================
	// 0 = Default Killstreaks
	// 1 = Different Killstreaks to each class
	// 2 = Random Killstreaks
	
	fl_setDvar("fl_ks", 1);

	// ==============================================================================
	// Rotations DLCs
	// ==============================================================================
	// set each DLC to be used or not in each rotation
	
	fl_setDvar( "hajas_small_rotation_dlc" , "1 2 3" );
	fl_setDvar( "hajas_medium_rotation_dlc" , "1 2 3" );
	fl_setDvar( "hajas_large_rotation_dlc" , "1 2 3" );


	// ==============================================================================
	// Rotations Maps
	// ==============================================================================
	//
	// small = until 6 players online
	// medium = with more than 6 until 18
	// large = with more than 18 players
	//
	// you can add here the DLCs maps directly if you want instead of use the DLCs vars

	fl_setDvar( "hajas_small_rotation" , "mp_array mp_cairo mp_cosmodrome mp_cracked mp_crisis mp_duga mp_firingrange mp_hanoi mp_havoc mp_mountain mp_nuked mp_radiation mp_russianbase mp_villa" );
	fl_setDvar( "hajas_medium_rotation" , "mp_array mp_cairo mp_cosmodrome mp_cracked mp_crisis mp_duga mp_firingrange mp_hanoi mp_havoc mp_mountain mp_radiation mp_russianbase mp_villa" );
	fl_setDvar( "hajas_large_rotation" , "mp_array mp_cairo mp_cosmodrome mp_cracked mp_crisis mp_duga mp_firingrange mp_hanoi mp_havoc mp_mountain mp_radiation mp_russianbase mp_villa" );


	// ==============================================================================
	// Rotations Gametypes
	// ==============================================================================
	//
	// TEAM BASED
	// ----------
	// ab = Airborne
	// dem = Demolition
	// dom = Domination
	// koth = Headquarters (King of the Hill)
	// sab = Sabotage
	// tdm = Team Deathmatch
	//
	// SOLO BASED
	// ----------
	// dm = Deathmatch
	// shrp = Sharpshooter
	// hlnd = Sticks and Stones 
	// oic = One in the Chamber 
	// gun = Gun Game
	
	fl_setDvar( "hajas_small_rotation_gametypes" , "ab shrp dom hlnd sab oic tdm gun koth dem dm ab dom sab tdm koth dem dom sab tdm koth dem ab" );
	fl_setDvar( "hajas_medium_rotation_gametypes" , "ab dom sd sab tdm koth ctf dem" );
	fl_setDvar( "hajas_large_rotation_gametypes" , "ab dom sd sab koth ctf dem" );

	// ==============================================================================
	// 	Airborne Gametype
	// ==============================================================================
	
	fl_setDvar( "scr_ab_timelimit" , 10);
	fl_setDvar( "scr_ab_scorelimit" , 0);
	fl_setDvar( "scr_ab_roundlimit" , 4);
	fl_setDvar( "scr_ab_roundswitch" , 1);
	fl_setDvar( "scr_ab_roundswitchspawn" , 2);
	fl_setDvar( "scr_ab_playerrespawndelay" , 0);
	fl_setDvar( "scr_ab_waverespawndelay" , 0);
	fl_setDvar( "scr_ab_type" , 2);				//1=Show all Marks|2=Show all except the Kill Mark|3=Do NOT show ANY Mark

}